Bug 1475456 (CVE-2017-11636) - CVE-2017-11636 GraphicsMagick: Heap based buffer over-write in WriteRGBImage in coders/rgb.c
Summary: CVE-2017-11636 GraphicsMagick: Heap based buffer over-write in WriteRGBImage ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-11636
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475457 1475458
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-26 18:02 UTC by Pedro Sampaio
Modified: 2019-09-29 14:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:18:36 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-07-26 18:02:23 UTC
GraphicsMagick 1.3.26 has a heap overflow in the WriteRGBImage() function in
coders/rgb.c when processing multiple frames that have non-identical widths.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/39961adf974c

References:

https://bugzilla.novell.com/show_bug.cgi?id=1050674

Comment 1 Pedro Sampaio 2017-07-26 18:02:55 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1475458]
Affects: fedora-all [bug 1475457]

Comment 2 Product Security DevOps Team 2019-06-08 03:18:36 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.